<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="row">
            <div class="col-sm-6">
                <div class="panel panel-primary">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            Rekening Lama
                        </h4>
                    </div>
                    <div class="panel-body">
                        <form action="" class="form-horizontal">
                            <div class="row">
                                <label class="col-sm-3 control-label">Kode Rekening</label>
                                <div class="form-group col-sm-5">
                                    <input type="text" name="t_korek_lama" id="t_korek_lama" class="form-control">
                                </div>
                                <div class="col-sm-2">
                                    <button type="button" id="btnCari" class="btn btn-primary" style="margin-left: 5px;">cari</button>
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-sm-3 control-label">Nama Rekening</label>
                                <div class="form-group col-sm-5">
                                    <input type="text" name="t_namakorek_lama" id="t_namakorek_lama" class="form-control">
                                </div>
                            </div>
                            <div class="row">
                                <label class="col-sm-3 control-label">Masa berlaku</label>
                                <div class="form-group col-sm-3">
                                    <input type="text" name="t_tglawalkorek" id="t_tglawalkorek" class="form-control">
                                </div>
                                <label class="col-sm-1 control-label">s/d</label>
                                <div class="form-group col-sm-3">
                                    <input type="text" name="t_tglakhirkorek" id="t_tglakhirkorek" class="form-control">
                                </div>
                            </div>
                            <div class="row" style="padding-bottom: 32px;">
                                <label class="col-sm-3 control-label">Rek. Bunga/Denda</label>
                                <div class="form-group col-sm-5">
                                    <select name="s_jenisdenda" id="s_jenisdenda" class="form-control">
                                        <option value="">Pilih</option>
                                        <?php
                                        foreach ($datadenda as $key => $denda) {
                                        ?>
                                            <option value="<?= $denda['s_idkorek'] ?>"><?= $denda['korek'] . ' || ' . $denda['s_namakorek'] ?></option>
                                        <?php
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

            </div>

            <div class="col-sm-6">
                <div class="panel panel-primary">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            Rekening Baru
                        </h4>
                    </div>
                    <div class="panel-body">
                        <form action="" class="form-horizontal">
                            <div class="col-sm-12">
                                <label class="col-sm-4 control-label">Kode Rekening</label>
                                <div class="form-group col-sm-5">
                                    <input type="hidden" name="t_idkorek" id="t_idkorek">
                                    <input type="hidden" name="t_idkorek_lama" id="t_idkorek_lama">
                                    <input type="text" class="input-mask form-control" name="t_korek_baru" id="t_korek_baru" data-inputmask="&apos;mask&apos;:&apos;9.9.99.99.99.999&apos;">
                                </div>
                                <div class="col-sm-2">
                                    <button type="button" id="btnCari2" class="btn btn-primary" style="margin-left: 5px;">cari</button>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-4 control-label">Nama Rekening</label>
                                <div class="col-sm-5">
                                    <div class="form-group">
                                        <input type="text" name="t_namakorek_baru" id="t_namakorek_baru" class="form-control">
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-4 control-label">Masa Berlaku</label>
                                <div class="form-group col-sm-3">
                                    <input type="text" name="t_tglawalkorek_baru" id="t_tglawalkorek_baru" class="form-control">
                                </div>
                                <label class="col-sm-1 control-label">s/d</label>
                                <div class="form-group col-sm-3">
                                    <input type="text" name="t_tglakhirkorek_baru" id="t_tglakhirkorek_baru" class="form-control">
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <label class="col-sm-4 control-label">Rek. Bunga/Denda</label>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <select name="s_jenisdenda_baru" id="s_jenisdenda_baru" class="form-control col-sm-12">
                                            <option value="">Pilih</option>
                                            <?php
                                            foreach ($datadenda as $key => $denda) {
                                            ?>
                                                <option value="<?= $denda['s_idkorek'] ?>"><?= $denda['korek'] . ' || ' . $denda['s_namakorek'] ?></option>
                                            <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <button type="button" class="btn btn-primary btn-block" name="btnSimpan" id="btnSimpan">Simpan</button>
                        </form>
                    </div>
                </div>

            </div>

            <?= $this->partial('table_wpobjek.phtml'); ?>
        </div>
    </div>
</div>
<?= $this->partial('modal_rek_lama.phtml'); ?>
<script type="text/javascript">
    $(function() {
        calldatagrid();
    });

    $('#btnCari').click((e) => {
        e.preventDefault();

        calldataGridRekening();
        $('#modalRekening').modal('show');
    });

    $('#btnCari2').click((e) => {
        e.preventDefault();
        var rekbaru = true;
        var direction = null;
        dataGridRekening($("#rek_page").val(), $("#rek_rows").val(), direction, rekbaru);
        $('#modalRekening').modal('show');
    });

    function calldataGridRekening(direction) {
        dataGridRekening($("#rek_page").val(), $("#rek_rows").val(), direction);
    }

    function dataGridRekening(page, row, direction, rekbaru) {

        $.post('<?= $this->url() ?>/dataGridRekeningLama/' + page + '/' + row + '/' + direction + '?korek=' + $("#korek").val() + "&s_namakorek=" + $("#s_namakorek").val() + "&s_persentarifkorek=&t_jenisobjek=" + $("#t_jenisobjek").val(), {
            rekbaru: rekbaru
        }, function(data) {
            var aa = JSON.parse(data);
            $("#listrekening").html(aa.grid);
            $("#rek_rows").val(aa.rows);
            $("#rek_page").val(aa.page);
            $("#rek_total_data").html(": " + aa.count);
            $("#rek_total_halaman").html(": " + aa.total_halaman);
        });
    }



    function pilihRekening(a) {
        $.post('<?= $this->url() ?>/pilihRekening', {
            s_idkorek: a
        }, function(data) {
            var aa = JSON.parse(data);
            // console.log(aa);
            $('#t_idkorek_lama').val(aa.t_idkorek);
            $('#t_korek_lama').val(aa.t_korek);
            $('#t_namakorek_lama').val(aa.t_namakorek);
            $('#t_tglawalkorek').val(aa.t_tglawalkorek);
            $('#t_tglakhirkorek').val(aa.t_tglakhirkorek);
            $('#s_jenisdenda').val(aa.s_jenisdenda);
            $('#t_idkorek').val(aa.t_idkorek_baru);

            $('#t_idkorek').val(aa.t_idkorek_baru);
            $('#t_korek_baru').val(aa.t_korek_baru);
            $('#t_namakorek_baru').val(aa.t_namakorek_baru);
            $('#t_tglakhirkorek_baru').val(aa.t_tglakhirkorek_baru);
            $('#t_tglawalkorek_baru').val(aa.t_tglawalkorek_baru);
            $('#s_jenisdenda_baru').val(aa.t_jenisdenda_baru);
            $('#modalRekening').modal('hide');

            if (aa.t_idkorek_baru !== null) {
                alert('Kode Rekekning ini sudah di Update!')
                //     $('#btnSimpan').attr('disabled', true);
                //     $('#t_korek_baru').attr('readonly', true);
                //     $('#t_namakorek_baru').attr('readonly', true);
                //     $('#t_tglakhirkorek_baru').attr('readonly', true);
                //     $('#t_tglawalkorek_baru').attr('readonly', true);
                //     $('#s_jenisdenda_baru').attr('readonly', true);
                calldatagrid(null, aa.t_idkorek_baru);
            }
            // else {
            //     $('#btnSimpan').attr('disabled', false);
            //     $('#t_korek_baru').attr('readonly', false);
            //     $('#t_namakorek_baru').attr('readonly', false);
            //     $('#t_tglakhirkorek_baru').attr('readonly', false);
            //     $('#t_tglawalkorek_baru').attr('readonly', false);
            //     $('#s_jenisdenda_baru').attr('readonly', false);
            // }
        });
    }

    function pilihRekening2(a) {
        $.post('<?= $this->url() ?>/pilihRekening', {
            s_idkorek: a
        }, function(data) {
            var aa = JSON.parse(data);

            $('#t_idkorek').val(aa.t_idkorek);
            $('#t_korek_baru').val(aa.t_korek);
            $('#t_namakorek_baru').val(aa.t_namakorek);
            $('#t_tglakhirkorek_baru').val(aa.t_tglakhirkorek);
            $('#t_tglawalkorek_baru').val(aa.t_tglawalkorek);
            $('#s_jenisdenda_baru').val(aa.s_jenisdenda);
            $('#modalRekening').modal('hide');
        });
    }

    $('#btnSimpan').click((e) => {
        e.preventDefault();

        $.post('<?= $this->url() ?>/simpanRekeninngBaru', {
            s_idkorek: $('#t_idkorek').val(),
            t_idkorek_lama: $('#t_idkorek_lama').val(),
            t_korek_baru: $('#t_korek_baru').val(),
            s_namakorek: $('#t_namakorek_baru').val(),
            s_tglawalkorek: $('#t_tglawalkorek_baru').val(),
            s_tglakhirkorek: $('#t_tglakhirkorek_baru').val(),
            s_jenisdenda: $('#s_jenisdenda_baru').val(),
        }, function(data) {
            var aa = JSON.parse(data);
            console.log(aa);
            alert(aa.message);
            
            $('#t_idkorek').val(aa.t_idkorek)
            $('#t_korek_baru').val('');
            $('#t_namakorek_baru').val('');
            $('#t_tglakhirkorek_baru').val('');
            $('#t_tglawalkorek_baru').val('');
            $('#s_jenisdenda_baru').val('');
            
            $('#t_idkorek_lama').val('');
            $('#t_korek_lama').val('');
            $('#t_namakorek_lama').val('');
            $('#t_tglawalkorek').val('');
            $('#t_tglakhirkorek').val('');
            $('#s_jenisdenda').val('');
            
            calldatagrid(undefined, aa.t_idkorek);
        });
    })

    function calldatagrid(direction, idkorek) {
        datagrid($("#page").val(), $("#rows").val(), direction, idkorek);
    }

    function datagrid(page, row, direction, idkorek) {
        $.post('<?= $this->url() ?>/dataGridObjek/' + page + '/' + row + '/' + direction, {
            t_idrek: idkorek
        }, function(data) {
            var aa = JSON.parse(data)
            $("#body_grid").html(aa.grid);
            $("#rows").val(aa.rows);
            $("#page").val(aa.page);
            $("#total_data").html(": " + aa.count);
            $("#total_halaman").html(": " + aa.total_halaman);
            $("#paginatore").html(aa.paginatore);
            $("#awaldata").html(aa.awaldata);
            $("#akhirdata").html(aa.akhirdata);
        });
    }
</script>